Package com.avaya.clientservices.provider.certificate

## Class AppCertificateStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.avaya.clientservices.provider.certificate.CertificateStoreException
        - - com.avaya.clientservices.provider.certificate.AppCertificateStoreException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AppCertificateStoreException
      extends CertificateStoreException

  Certificate store exception is used to present errors encountered while managing the private trust store.
  See Also:
    `CertificateStoreException`, `AppCertificateStoreNotInUseException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppCertificateStoreException()` | Constructs a new exception with null as its message.
    `AppCertificateStoreException​(java.lang.String message)` | Constructs a new exception with specified `message`.
    `AppCertificateStoreException​(java.lang.String message, java.lang.Throwable cause)` | Constructs a new exception with specified `message` and cause `cause`.
    `AppCertificateStoreException​(java.lang.Throwable cause)` | Constructs a new exception with specified `cause`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppCertificateStoreException

          public AppCertificateStoreException()

      Constructs a new exception with null as its message.

    - #### AppCertificateStoreException

          public AppCertificateStoreException​(java.lang.String message)

      Constructs a new exception with specified `message`.
      Parameters:
        `message` - the detailed message

    - #### AppCertificateStoreException

          public AppCertificateStoreException​(java.lang.Throwable cause)

      Constructs a new exception with specified `cause`.
      Parameters:
        `cause` - the exception causing this one

    - #### AppCertificateStoreException

          public AppCertificateStoreException​(java.lang.String message,
                                              java.lang.Throwable cause)

      Constructs a new exception with specified `message` and cause `cause`.
      Parameters:
        `message` - the detailed message
        `cause` - the exception causing this one